Bug 1265184 - Data Tiering:Detach tier operation should be resilient(continue) when the volume is restarted [NEEDINFO]
Data Tiering:Detach tier operation should be resilient(continue) when the vol...
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: tiering (Show other bugs)
3.7.4
All All
low Severity medium
: ---
: ---
Assigned To: Dan Lambright
bugs@gluster.org
: Triaged
Depends On:
Blocks: 1278385
  Show dependency treegraph
 
Reported: 2015-09-22 06:50 EDT by nchilaka
Modified: 2017-03-08 05:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1278385 (view as bug list)
Environment:
Last Closed: 2017-03-08 05:53:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jthottan: needinfo? (dlambrig)


Attachments (Terms of Use)

  None (edit)
Description nchilaka 2015-09-22 06:50:38 EDT
Description of problem:
========================
I issued a detach tier start and while in progress or even when the detach tier is completed, but not yet commited, I did a volume restart.
With this I expect the detach tier to continue, but I see that the detach tier has stopped and says no detach tier is in progress.

The implications are as below:
1)the user will have to re-trigger the operation of detach tier start freshly
2)As the tier deamon is started instead of reblance demon(for detaching tier), this can make promotes to hot tier and hence irritate the admin.


Version-Release number of selected component (if applicable):
============================================================

[root@zod glusterfs]# rpm -qa|grep gluster
glusterfs-3.7.4-0.43.gitf139283.el7.centos.x86_64
glusterfs-fuse-3.7.4-0.43.gitf139283.el7.centos.x86_64
glusterfs-debuginfo-3.7.4-0.33.git1d02d4b.el7.centos.x86_64
glusterfs-api-3.7.4-0.43.gitf139283.el7.centos.x86_64
glusterfs-client-xlators-3.7.4-0.43.gitf139283.el7.centos.x86_64
glusterfs-server-3.7.4-0.43.gitf139283.el7.centos.x86_64
glusterfs-cli-3.7.4-0.43.gitf139283.el7.centos.x86_64
gglusterfs-libs-3.7.4-0.43.gitf139283.el7.centos.x86_64
l[root@zod glusterfs]# gluster --version
glusterfs 3.7.4 built on Sep 19 2015 01:30:43
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.


How reproducible:
=================
easily


Steps to Reproduce(RHG3-9344):
=====================
 1)have a  "standard test volume configuration"
2)have with lot of data on hot tier
3)now issue a detach tier start on this volume
4)Now after some time, issue detach tier status and volume status too
5) now immediately stop the volume
6)check the detach tier status
7)Now restart the volume
8)check if the detach tier continues using detach tier status
9)after detach tier completes, issue a detach tier commit


Expected results:
================
detach tier must continue after a vol is restarted
Comment 1 Kaushal 2017-03-08 05:53:43 EST
This bug is getting closed because GlusteFS-3.7 has reached its end-of-life.

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please reopen this bug against the newer release.

Note You need to log in before you can comment on or make changes to this bug.